'Newland.CityTheme:MetaNavigationItem':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.NeosNodeTypes:LinkMixin': true
    'Newland.BaseTheme:SpacingMixin': false

  label: ${q(node).property('linkTitle') || 'Nav-Item'}

  ui:
    label: Nav-Item
    icon: wrench
    inspector:
      groups:
        settings:
          label: Einstellungen
          icon: cog

  properties:
    iconType:
      type: string
      defaultValue: 'info-circle'
      ui:
        label: Icon-Auswahl
        reloadIfChanged: true
        inspector:
          group: settings
          editor: 'Neos.Neos/Inspector/Editors/SelectBoxEditor'
          editorOptions:
            values:
              infoCircle:
                label: 'Info-I'
                value: 'info-circle'
              bed:
                label: 'Übernachten'
                value: 'bed'
              bicycle:
                label: 'Fahrrad'
                value: 'bicycle'
              binoculars:
                label: 'Fernglas'
                value: 'binoculars'
              calendar:
                label: 'Kalender'
                value: 'calendar'
              camera:
                label: 'Kamera'
                value: 'camera'
              clock:
                label: 'Uhr'
                value: 'clock'
              envelope:
                label: 'Briefumschlag'
                value: 'envelope'
              book:
                label: 'Buch'
                value: 'book'
              externalLink:
                label: 'Externer Link'
                value: 'external-link'
              gps:
                label: 'GPS'
                value: 'gps'
              heart:
                label: 'Herz'
                value: 'heart'
              house:
                label: 'Haus'
                value: 'house'
              telephone:
                label: 'Telefon'
                value: 'telephone'
              star:
                label: 'Stern'
                value: 'star'
              utensils:
                label: 'Besteck'
                value: 'utensils'
              hiking:
                label: 'Wandern'
                value: 'hiking'
              weather:
                label: 'Wetter'
                value: 'weather'
              warningSign:
                label: 'Warnhinweis-I'
                value: 'warning-sign'
    link:
      type: string
      ui:
        label: Link-Ziel
        reloadIfChanged: true
      inspector:
        editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
        group: link
    linkTitle:
      defaultValue: 'Link'
      ui:
        label: Link-Titel
        reloadIfChanged: true
